.btn {
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
	font-family: "Gilroy", sans-serif;
	cursor: pointer;

	&__wrapper {
		display: flex;
		flex-flow: wrap;
		align-items: center;
		gap: 10px;
	}

	&__3d {
		border-radius: 10px;
		box-shadow: 4px 4px 16px rgba($nepal, 0.4), -5px -5px 15px rgba($white, 0.9);
		background: linear-gradient(315.13deg, rgba($concrete, 0.3) 5.21%, rgba($white, 0.3) 62.26%), $white;
		transition: all 0.3s ease-out;

		&::before {
			content: "";
			position: absolute;
			left: 50%;
			top: 50%;
			z-index: 0;
			border-radius: 10px;
			box-shadow: inset 4px 4px 12px rgba($nepal, 0.4), inset -5px -5px 18px $white;
			background: linear-gradient(312.9deg, rgba($white, 0.3) 4.49%, rgba($black-squeeze, 0.3) 95.45%), $white;
			transform: translate(-50%, -50%);
			transition: all 0.3s ease-out;
		}

		svg {
			position: relative;
			z-index: 1;
		}

		&:hover {
			&::before {
				box-shadow: inset 4px 4px 20px rgba($nepal, 0.4), inset -5px -5px 18px $white;
			}
		}

		&:active {
			box-shadow: inset 4px 4px 12px rgba($nepal, 0.4), inset -5px -5px 18px $white;
		}

		&--icon {
			width: 80px;
			height: 80px;

			&::before {
				width: 74.67px;
				height: 74.67px;
			}
		}

		&--text {
			padding: 10px 20px;

			&::before {
				width: calc(100% - 5px);
				height: calc(100% - 5px);
			}

			span {
				position: relative;
				z-index: 1;
			}
		}
	}

	&__flat {
		border: 1px solid $salem;
		border-radius: 4px;
		padding: 0 24px;
		height: 40px;
		box-shadow: $shadow-no-hover;
		background-color: $white;

		&--filled {
			color: $white;
			background-color: $salem;
		}
		
		&:hover {
			box-shadow: $shadow-hover;
			color: $black;
			background-color: $gossip;
		}
	}

	&__rounded {
		border: 1px solid $salem;
		border-radius: 100%;
		width: 50px;
		height: 50px;
		background-color: $white;

		&.swiper-button-disabled {
			&:hover {
				border-width: 1px;
				background-color: #fff;
				cursor: default;
			}
		}

		&:hover {
			border-width: 2px;
			background-color: $gossip;
		}

		&--top {
			position: absolute;
			left: calc(50% - 25px);
			bottom: 50px;

			@media (max-width: 767px) {
				bottom: -30px;
			}
		}

		&--next,
		&--prev {
			position: absolute;
			top: calc(50% - 25px);
		}

		&--next {
			right: 0;
			transform: rotate(-90deg);
		}

		&--prev {
			left: 0;
			transform: rotate(90deg);
		}
	}

	&__filled {
		display: inline-block;
		border-radius: 3px;
		padding: 12px 36px;
		box-shadow: 0 8px 16px 0 rgb($black, 0.2);
		line-height: 24px;
		text-transform: none;
		color: $white;
		background-color: $salem;

		&:hover {
			box-shadow: none;
			background-color: #056835;
		}

		&--subscribe {
			padding: 0 20px;
			opacity: 0.5;
		}
	}

	&__faq {
		flex-shrink: 0;
		margin: 5px;
		width: 39px;
		height: 39px;
		background-color: transparent;
	}
}
